summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEdward Thomson <ethomson@edwardthomson.com>2018-10-26 12:31:39 +0100
committerEdward Thomson <ethomson@edwardthomson.com>2018-10-26 12:31:39 +0100
commit956395a529f3f930a3365ff8d36408be0dfc207b (patch)
treef9961c1e10422263a5c6ac1afc3615ef23f8f415
parent19611316e74a8a896c787d56ef2a6b0846cce110 (diff)
downloadlibgit2-ethomson/027.tar.gz
ci: fail if requested test name is not foundethomson/027
-rwxr-xr-xci/test.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/ci/test.sh b/ci/test.sh
index fea9d82d7..121196819 100755
--- a/ci/test.sh
+++ b/ci/test.sh
@@ -44,6 +44,12 @@ failure() {
# JUnit-style XML files.
run_test() {
TEST_CMD=$(ctest -N -V -R "^${1}$" | sed -n 's/^[0-9]*: Test command: //p')
+
+ if [ -z "$TEST_CMD" ]; then
+ echo "Could not find tests: $1"
+ exit 1
+ fi
+
TEST_CMD="${TEST_CMD} -r${BUILD_DIR}/results_${1}.xml"
if [ "$LEAK_CHECK" = "valgrind" ]; then